<?xml version="1.0"?>
<!-- This file is protected by Copyright. Please refer to the COPYRIGHT file
     distributed with this source distribution.

     This file is part of OpenCPI <http://www.opencpi.org>

     OpenCPI is free software: you can redistribute it and/or modify it under
     the terms of the GNU Lesser General Public License as published by the Free
     Software Foundation, either version 3 of the License, or (at your option)
     any later version.

     OpenCPI is distributed in the hope that it will be useful, but WITHOUT ANY
     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for
     more details.

     You should have received a copy of the GNU Lesser General Public License
     along with this program. If not, see <http://www.gnu.org/licenses/>. -->
<componentspec>
  <property name="polynomial_taps" type="uchar" arraylength="6" parameter="true" default="31,28"
    description="Taps of PRBS polynomial."/>
  <property name="enable" type="bool" writable="true" default="1" description="When true the PRBS generator is enabled."/>
  <property name="invert_output" type="bool" writable="true" default="0" description="When true the output is inverted."/>
  <property name="initial_seed" type="ulong" writable="true" default="0x55555555" description="Initial seed for the PRBS generator."/>
  <property name="message_length" type="ushort" writable="false" initial="true" default="16384"
    description="Output message length. Must not be 0."/>
  <port name="output" producer="true" protocol="bool_timed_sample-prot"/>
</componentspec>
